Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12393)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12394)
@@ -71,4 +71,5 @@
         this->player_ = nullptr;
         level_ = 0;
+        this->counter = 0;
 
         this->setHUDTemplate("OrxoBloxHUD");
@@ -144,5 +145,5 @@
         {
 
-            level_=1;
+            level_= 1;
 
         }
@@ -213,17 +214,16 @@
 
         orxout() << "level up called" << endl;
-        this->playerScored(this->player_);// add points
+        //this->playerScored(this->player_);// add points
 
         this->createWall();
         this->activeWalls_.push_back(this->futureWall_);
-        for (int i = 0; i < this->futureWall_->getNumberOfStones(); i++) {
-            if (this->futureWall_->getStone(i) == nullptr) {
-                orxout() << "Added nullptr to std::list stones_" << endl;
-            }
-
+/*        for (int i = 0; i < this->futureWall_->getNumberOfStones(); i++) {
             this->stones_.push_back(this->futureWall_->getStone(i));
-        }
+        }*/
 
         for(OrxoBloxWall* wall : this->activeWalls_) {
+            if(wall == nullptr) {
+                continue;
+            }
             if(wall->isEmpty()) {
                 wall->destroy();
@@ -340,3 +340,15 @@
     }
   */  
+    void OrxoBlox::count() {
+        if(this->counter >= this->max_counter) {
+            this->LevelUp();
+            counter = 0;
+            return;
+        }
+        else {
+            this->counter++;
+        }
+    }
+
+
 }
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12393)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12394)
@@ -91,4 +91,5 @@
             //OrxoBloxStones* CheckForCollision(OrxoBloxBall* Ball);
             virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command
+            void count();
         protected:
         private:
@@ -108,5 +109,7 @@
             WeakPtr<OrxoBloxWall> futureWall_;
             std::vector<OrxoBloxWall*> activeWalls_;
-            std::list<StrongPtr<OrxoBloxStones>> stones_; //!< A list of all stones in play.
+            std::vector<OrxoBloxStones*> stones_; //!< A list of all stones in play.
+            int counter;
+            const int max_counter = 10;
 
     };
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.cc	(revision 12393)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.cc	(revision 12394)
@@ -18,5 +18,5 @@
 
         this->size_ = 9.0f;
-        this->health_ = 1 + static_cast<unsigned int>(rnd(6.0f)); //<! random number between 0 and 7;
+        this->health_ = 1;
         this->delay_ = false;
     }
@@ -33,3 +33,10 @@
         return this->size_;
     }
+
+    bool OrxoBloxStones::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
+    {
+        orxout() << "a stone should die" << endl;
+        this->destroy();
+        return true;
+    }
 }
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.h	(revision 12393)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.h	(revision 12394)
@@ -70,4 +70,5 @@
 
             float getSize();
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
                 
         private:
Index: code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12393)
+++ code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12394)
@@ -60,4 +60,5 @@
         this->orxoblox_ = this->getOrxoBlox();
         this->setCollisionShapeRadius(2.5);
+        this->setDamage(1000);
 
         //setEffect("Orxonox/sparks2");
@@ -186,5 +187,6 @@
                 position.z = this-> fieldHeight_;
                 
-                orxoblox_->LevelUp();
+                //orxoblox_->LevelUp();
+                orxoblox_->count();
                 suicidal = true;
                 
Index: code/branches/OrxoBlox_FS19/src/modules/weapons/weaponmodes/BallGun.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/weapons/weaponmodes/BallGun.cc	(revision 12393)
+++ code/branches/OrxoBlox_FS19/src/modules/weapons/weaponmodes/BallGun.cc	(revision 12394)
@@ -59,5 +59,5 @@
 
         this->reloadTime_ = 0.25f;
-        this->damage_ = 0.0f; //default 15
+        this->damage_ = 10000; //default 15
         this->speed_ = 100;
         this->delay_ = 100;