Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12394)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12395)
@@ -112,4 +112,11 @@
             }
         */
+
+        for (OrxoBloxStones* stone : ObjectList<OrxoBloxStones>()) {
+            if(stone != nullptr)
+            stone->destroy();
+        }
+
+
         for (OrxoBloxWall* wall : this->activeWalls_) {
             if (wall != nullptr)
@@ -117,10 +124,5 @@
         }
         this->activeWalls_.clear();
-        
-
-        for (OrxoBloxStones* stone : this->stones_) {
-            if(stone != nullptr)
-            stone->destroy();
-        }
+
         this->stones_.clear();
         if(this->playership != nullptr) {
@@ -189,5 +191,5 @@
         // Call end for the parent class.
         Deathmatch::end();
-        GSLevel::startMainMenu();
+        //GSLevel::startMainMenu();
     }
 
@@ -214,11 +216,11 @@
 
         orxout() << "level up called" << endl;
-        //this->playerScored(this->player_);// add points
+        this->playerScored(this->player_);// add points
 
         this->createWall();
         this->activeWalls_.push_back(this->futureWall_);
-/*        for (int i = 0; i < this->futureWall_->getNumberOfStones(); i++) {
+        for (int i = 0; i < this->futureWall_->getNumberOfStones(); i++) {
             this->stones_.push_back(this->futureWall_->getStone(i));
-        }*/
+        }
 
         for(OrxoBloxWall* wall : this->activeWalls_) {
@@ -244,6 +246,6 @@
         //create balls
         //insert new wall
-        for(OrxoBloxStones* stone : this->stones_){
-            if (stone != nullptr) {
+        for(OrxoBloxStones* stone : ObjectList<OrxoBloxStones>()){
+            if (stone->isA(Class(OrxoBloxStones))) {
                 int x_=(stone->getPosition()).x;
                 int y_=(stone->getPosition()).y;
@@ -256,4 +258,7 @@
                     this->end();
                 }
+            }
+            else {
+                stone = nullptr;
             }
         }
@@ -341,12 +346,9 @@
   */  
     void OrxoBlox::count() {
-        if(this->counter >= this->max_counter) {
+        if(++(this->counter) >= this->max_counter) {
             this->LevelUp();
             counter = 0;
             return;
         }
-        else {
-            this->counter++;
-        }
     }
 
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12394)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12395)
@@ -111,5 +111,5 @@
             std::vector<OrxoBloxStones*> stones_; //!< A list of all stones in play.
             int counter;
-            const int max_counter = 10;
+            const int max_counter = 4;
 
     };
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc	(revision 12394)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc	(revision 12395)
@@ -61,6 +61,4 @@
         }
 
-        this->num_Stones_ = TotalStones_.size();
-
 
 
@@ -97,5 +95,5 @@
 
     int OrxoBloxWall::getNumberOfStones() {
-        return num_Stones_;
+        return TotalStones_.size();
     }
 
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.h	(revision 12394)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.h	(revision 12395)
@@ -46,4 +46,5 @@
             void reduceNumberOfStones();
             void setNumberOfStones(int number);
+            std::vector<OrxoBloxStones*> TotalStones_;
         private:
             void createWall(void);
@@ -51,6 +52,5 @@
             unsigned int totalhealth_;
             unsigned int num_Stones_;
-            unsigned int size_;
-            std::vector<OrxoBloxStones*> TotalStones_; //!< A list of all stones in a Wall.
+            unsigned int size_; //!< A list of all stones in a Wall.
             bool delay_;
             OrxoBlox* orxoblox_;