Index: code/branches/Boxhead_FS19/data/levels/Hover.oxw
===================================================================
--- code/branches/Boxhead_FS19/data/levels/Hover.oxw	(revision 12396)
+++ code/branches/Boxhead_FS19/data/levels/Hover.oxw	(revision 12397)
@@ -75,5 +75,5 @@
     <SpawnPoint
       team=0
-      position="50,20,50"
+      position="500,20,50"
       lookat="100,20,100"
       spawnclass=HoverShip
@@ -87,4 +87,10 @@
     </SpaceShip>
 
+    <SpaceShip position="500,10000,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="200" >
+      <templates>
+              <Template link=spaceshipzombie />
+      </templates>
+    </SpaceShip>
+
 
 
Index: code/branches/Boxhead_FS19/data/levels/scripts/ScriptableControllerSpawn.lua
===================================================================
--- code/branches/Boxhead_FS19/data/levels/scripts/ScriptableControllerSpawn.lua	(revision 12396)
+++ code/branches/Boxhead_FS19/data/levels/scripts/ScriptableControllerSpawn.lua	(revision 12397)
@@ -105,5 +105,5 @@
 
 
-spawn_dummy_after_timeout(5)
+spawn_dummy_after_timeout(10)
 
 
Index: code/branches/Boxhead_FS19/src/modules/hover/Hover.cc
===================================================================
--- code/branches/Boxhead_FS19/src/modules/hover/Hover.cc	(revision 12396)
+++ code/branches/Boxhead_FS19/src/modules/hover/Hover.cc	(revision 12397)
@@ -51,4 +51,5 @@
 
 
+
 namespace orxonox
 {
@@ -64,77 +65,5 @@
         this->setHUDTemplate("HoverHUD");
     }
-    // void Hover::spawnZombie(std::string id)
-    // {
-    //     Identifier *identifier = ClassByString("SpaceShip");
 
-    //       if(!identifier)
-    //     {
-    //         orxout(user_error) << "Script tried to spawn unknown object" << std::endl;
-    //         return;
-    //     }
-
-    //     if(!identifier->isLoadable())
-    //     {
-    //         orxout(user_error) << "Script tried to spawn unloadable object" << std::endl;
-    //         return;
-    //     }
-        
-    
-    //     WorldEntity *entity;
-    //     Identifiable *obj = identifier->fabricate(this->controller_->getWorldEntityByID("Player")->getContext());
-
-
-
-    //     orxout(user_status) << "First hit!" << std::endl;
-
-    //    if(obj->isA(ClassIdentifier<WorldEntity>::getIdentifier()))
-    //     {
-    //         orxout(user_status) << "Is WorldEntity!" << std::endl;
-    //         entity = orxonox_cast<WorldEntity*>(obj);
-    //     }
-    //     else if(obj->isA(ClassIdentifier<PlayerInfo>::getIdentifier()))
-    //     {
-    //         // TODO This does not work yet because somehow the controllable entity is not set
-    //         // yet at this stage.
-    // //        entity = orxonox_cast<PlayerInfo*>(obj)->getControllableEntity();
-
-    //         orxout(user_status) << "Is PlayerInfo!" << std::endl;
-
-    //         //use TEMPLATES in the map to define objects that are not present on the map yet
-    //         return;
-    //     }
-    //     else
-    //     {
-    //         orxout(user_warning) << "Script tried to spawn an object that is neither a WorldEntity, nor a PlayerInfo" << std::endl;
-            
-    //         return;
-    //     }
-       
-    //     if(entity->isA(ClassIdentifier<MobileEntity>::getIdentifier())) {
-    //         orxout(user_status) << "Is MobileEntity!" << std::endl;
-    //         this->controller_->registerMobileEntity(id, orxonox_cast<MobileEntity*>(entity));
-    //     }
-
-        
-
-    //     if(entity->isA(ClassIdentifier<Pawn>::getIdentifier())) {
-    //         orxout(user_status) << "Is Pawn!" << std::endl;
-    //         this->controller_->registerPawn(id, orxonox_cast<Pawn*>(entity));
-    //     }
-        
-    //     this->controller_->registerWorldEntity(id, orxonox_cast<WorldEntity*>(entity));
-
-
-    //     ///////////////GOLD!!!!!!!!!!!!!!!////////////////////////
-    //     Pawn* pawn = this->controller_->getPawnByID(id);
-
-    //     //Attach to pawn
-    //     SpaceShip* drone = new SpaceShip(pawn->getContext()); // this is neccessary because the projectiles fired need a valid creator for the particlespawner (when colliding against something)
-        
-    //     drone->addTemplate("spaceshipzombie"); //ScriptableControllerDroneTemplate spaceshipescort
-
-    //     Vector3 spawnPosition = pawn->getWorldPosition() + Vector3(500,20,500);
-    //     drone->setPosition(spawnPosition);
-    // }
 
     void Hover::tick(float dt)
@@ -203,5 +132,5 @@
 
         //Spawn Zombies
-        //spawnZombie(z1);
+        //spawnZombie(1);
 
 
Index: code/branches/Boxhead_FS19/src/modules/hover/HoverShip.cc
===================================================================
--- code/branches/Boxhead_FS19/src/modules/hover/HoverShip.cc	(revision 12396)
+++ code/branches/Boxhead_FS19/src/modules/hover/HoverShip.cc	(revision 12397)
@@ -48,9 +48,19 @@
     }
 
+    // //moves slightly right and left, that zombieship approaches
+    // void HoverShip::leftright(const Vector2& value)
+    //     {   
+    //         this->steering_.z += 5;
+    //         this->steering_.z -= 5;
+    //     }
+
     void HoverShip::moveFrontBack(const Vector2& value)
         { this->steering_.z -= value.x; }
 
     void HoverShip::moveRightLeft(const Vector2& value)
-        { this->steering_.x += value.x; }
+        { this->steering_.x += value.x;
+            // value.x += 0.001;
+            // value.x -= 0.001;
+        }
 
     void HoverShip::moveUpDown(const Vector2& value)
Index: code/branches/Boxhead_FS19/src/modules/hover/HoverShip.h
===================================================================
--- code/branches/Boxhead_FS19/src/modules/hover/HoverShip.h	(revision 12396)
+++ code/branches/Boxhead_FS19/src/modules/hover/HoverShip.h	(revision 12397)
@@ -53,4 +53,7 @@
                 { return this->jumpBoost_; }
 
+            /////moves slightly right and left, that zombieship approaches
+            // virtual void leftright(const Vector2& value);
+
             virtual void moveFrontBack(const Vector2& value) override;
 