Index: code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw
===================================================================
--- code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12396)
+++ code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12400)
@@ -19,15 +19,4 @@
 ?>
 
-<!--Template name=OrxoBloxbatcameras defaults=0>
-  <OrxoBloxStones>
-    <camerapositions>
-      <CameraPosition position="0,150,0"  absolute=true />
-      <CameraPosition position="0,50,160" drag=true mouselook=true />
-      <CameraPosition position="0,40,125" drag=true mouselook=true />
-      <CameraPosition position="0,30, 90" drag=true mouselook=true />
-    </camerapositions>
-  </OrxoBloxStones>
-</Template-->
-
 <Template name=OrxoBloxball>
   <OrxoBloxBall 
@@ -47,22 +36,4 @@
   </OrxoBloxBall>
 </Template>
-
-
-  
-  <!-- <Template name=OrxoBloxstone>
-    <OrxoBloxStones collisionType=static>
-      <attached>
-        <Model position="0,0,0" mesh="CuboidBody.mesh" scale3D="4.5,4.5,4.5" />
-        <Model position="0,0,0" mesh="cube_orange.mesh" scale=4.3 />
-      </attached>
-      <collisionShapes> 
-        <BoxCollisionShape position="0,0,0" halfExtents="2,2,2" /> 
-      </collisionShapes> 
-    </OrxoBloxStones>
-  </Template> -->
-
-  <!-- <StaticEntity position="0,-10000,0" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 > -->
-   
-  
   
   
@@ -91,5 +62,5 @@
     <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
     <Light type=directional position="-100, 10000, -700" direction="0.2, -1, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-    <SpawnPoint team=0 position="0,-4.5,49" lookat="-10000,0,0" spawnclass= SpaceShip pawndesign=spaceshipOrxoBlox/>
+    <SpawnPoint team=0 position="0,-4.5,49" lookat="-10000,0,0" spawnclass=SpaceShip pawndesign=spaceshipOrxoBlox/>
 
     <!--SpawnPoint team=0 position="0,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort /--->
Index: code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipEscort.oxt
===================================================================
--- code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipEscort.oxt	(revision 12396)
+++ code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipEscort.oxt	(revision 12400)
@@ -44,5 +44,5 @@
     <attached>
       <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="escortShip.mesh" />
-      <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" />
+      <Model position="50,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" />
 <!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
 <Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12396)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12400)
@@ -71,5 +71,5 @@
             WeakPtr<OrxoBloxWall> futureWall_;
             int counter;
-            const int max_counter = 4;
+            const int max_counter = 5;
 
     };
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc	(revision 12396)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc	(revision 12400)
@@ -43,5 +43,5 @@
                 float x_=(this->center_->getFieldDimension()).x;
                 float y_=(this->center_->getFieldDimension()).y;
-                stone->setPosition(size_*i -x_/2 +4.5f, -3.5f, -y_/2 + 6.5f);
+                stone->setPosition(size_*i -x_/2 +4.5f, -3.5f, -y_/2 - 2.25f);
 
 
Index: code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12396)
+++ code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12400)
@@ -28,5 +28,5 @@
         this->setCollisionShapeRadius(2.5);
         this->setDamage(1000);
-
+        orxoblox_->count();
         //setEffect("Orxonox/sparks2");
     }
@@ -146,5 +146,4 @@
                 position.z = this-> fieldHeight_;
                 
-                orxoblox_->count();
                 suicidal = true;
                 