Index: code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipOrxoBlox.oxt
===================================================================
--- code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipOrxoBlox.oxt	(revision 12401)
+++ code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipOrxoBlox.oxt	(revision 12402)
@@ -7,8 +7,5 @@
    explosionchunks        = 4
 
-   health            = 10
-   maxhealth         = 10
-   initialhealth     = 10
-
+   
    shieldhealth        = 20
    initialshieldhealth = 20
Index: code/branches/OrxoBlox_FS19/data/overlays/OrxoBloxHUD.oxo
===================================================================
--- code/branches/OrxoBlox_FS19/data/overlays/OrxoBloxHUD.oxo	(revision 12401)
+++ code/branches/OrxoBlox_FS19/data/overlays/OrxoBloxHUD.oxo	(revision 12402)
@@ -21,14 +21,4 @@
     />
 
-    <OverlayText
-     position  = "0.7, 0.20"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.05
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
-
-     showhealth  = true
-    />
 
 
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12401)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12402)
@@ -143,4 +143,7 @@
     void OrxoBlox::LevelUp(){
         level_++;
+        if((level_%10)==0){
+            --counter;
+        }
         int z_ = 0;
 
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.cc	(revision 12401)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.cc	(revision 12402)
@@ -18,5 +18,5 @@
 
         this->size_ = 9.0f;
-        this->health_ = 1;
+        this->setHealth(1);
         this->delay_ = false;
     }
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.h	(revision 12401)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.h	(revision 12402)
@@ -40,24 +40,14 @@
             float getSize(void) const
                 { return this->size_; }
-            /**
-            @brief Set the Health of the stone.
-            @param size The dimensions a stone has in the game world. (A stone is a cube)
-            */
-            void setHealth(unsigned int health)
-                { 
-                    this->health_ = health; 
+            
+            void gotHit(){
+                orxout()<<"GOT HIT"<<endl;
+                unsigned int health_ =this->getHealth();
+                if (health_> 0){
+                    this->setHealth(++health_); 
+                    }
+                else {
+                    this->kill();
                 }
-            /**
-            @brief Get the size of the stone.
-            @return Returns the dimensions a stone has in the game world. (A stone is a cube)
-            */
-            unsigned int getHealth(void) const
-                { return this->health_; }
-
-            void gotHit(){
-                if (this->health_ > 0){
-                    this->health_ -= this->health_; 
-                    }
-                //  else ~OrxoBloxStones();
                 }
 
@@ -74,5 +64,4 @@
         private:
             float size_; //!< The dimensions a stone has in the game world.
-            unsigned int health_;
             bool delay_;
             
Index: code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12401)
+++ code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12402)
@@ -1,4 +1,38 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file ParticleProjectile.h
+    @brief Implementation of the ParticleProjectile class.
+*/
+
 #include "BallProjectile.h"
 #include "gametypes/Gametype.h"
+#include <OrxoBlox/OrxoBloxStones.h>
 
 
@@ -27,6 +61,6 @@
         this->orxoblox_ = this->getOrxoBlox();
         this->setCollisionShapeRadius(2.5);
-        this->setDamage(1000);
-                //setEffect("Orxonox/sparks2");
+        
+        //setEffect("Orxonox/sparks2");
     }
 
@@ -81,15 +115,22 @@
                 distance_Z = -distance_Z;
 
+            //orxout() << distance_X << endl;
+            //orxout() << distance_Z << endl;
+
             if (distance_X < distance_Z) {
                 velocity.z = -velocity.z;
+                //orxout() << "z" << endl;
             }
             if (distance_Z < distance_X) {
                 velocity.x = -velocity.x;
+                //orxout() << "x" << endl;
             }
             else {
                 velocity.x = -velocity.x;
                 velocity.z = -velocity.z;
+                //orxout() << "both" << endl;
             }
             this->setVelocity(velocity);
+        //}
     }
 
@@ -101,4 +142,5 @@
             if (otherObject->isA(Class(OrxoBloxStones))) {
                 Bounce(otherObject, contactPoint, cs);
+                (orxonox_cast<OrxoBloxStones*>(otherObject))->gotHit();
                 
             }
@@ -145,5 +187,4 @@
                 position.z = this-> fieldHeight_;
                 orxoblox_->count();
-
                 suicidal = true;
                 
@@ -215,6 +256,4 @@
     }
 
-
-    //This is an override to prevent getting killed by the program
     void BallProjectile::destroyObject(void)
     {
Index: code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.h	(revision 12401)
+++ code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.h	(revision 12402)
@@ -38,4 +38,5 @@
             std::string materialBase_; //!< The base name of the material.
             OrxoBlox* orxoblox_;
+            OrxoBloxStones* stone_;
     };
 }