Index: code/branches/Presentation_FS19/src/modules/weapons/munitions/BallMunition.cc
===================================================================
--- code/branches/Presentation_FS19/src/modules/weapons/munitions/BallMunition.cc	(revision 12411)
+++ code/branches/Presentation_FS19/src/modules/weapons/munitions/BallMunition.cc	(revision 12411)
@@ -0,0 +1,59 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabien Vultier
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file IceMunition.cc
+    @brief Implementation of the IceMunition class.
+*/
+
+#include "BallMunition.h"
+#include "core/CoreIncludes.h"
+
+namespace orxonox
+{
+    RegisterClass(BallMunition);
+
+    BallMunition::BallMunition(Context* context) : ReplenishingMunition(context)
+    {
+        RegisterObject(BallMunition);
+
+        this->maxMunitionPerMagazine_ = 20;
+        this->maxMagazines_ = 10;
+        this->unassignedMagazines_ = 10;
+
+        this->deployment_ = MunitionDeployment::Separate;
+
+        this->bAllowMunitionRefilling_ = true;
+        this->bAllowMultiMunitionRemovementUnderflow_ = true;
+
+        this->replenishInterval_ = 7.0f;
+        this->replenishAmount_ = 1;
+
+        this->reloadTime_ = 0.6f;
+    }
+}
Index: code/branches/Presentation_FS19/src/modules/weapons/munitions/BallMunition.h
===================================================================
--- code/branches/Presentation_FS19/src/modules/weapons/munitions/BallMunition.h	(revision 12411)
+++ code/branches/Presentation_FS19/src/modules/weapons/munitions/BallMunition.h	(revision 12411)
@@ -0,0 +1,58 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabien Vultier
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file IceMunition.h
+    @brief Definition of the IceMunition class.
+*/
+
+#ifndef _BallMunition_H__
+#define _BallMunition_H__
+
+#include "weapons/WeaponsPrereqs.h"
+#include "weaponsystem/ReplenishingMunition.h"
+
+namespace orxonox
+{
+
+    /**
+    @brief
+        IceMunition.
+    @author
+        Fabien Vultier
+    @ingroup WeaponsMunitions
+    */
+    class _WeaponsExport BallMunition : public ReplenishingMunition
+    {
+        public:
+            BallMunition(Context* context);
+            virtual ~BallMunition() = default;
+    };
+}
+
+#endif /* _SplitMunition_H__ */
Index: code/branches/Presentation_FS19/src/modules/weapons/munitions/CMakeLists.txt
===================================================================
--- code/branches/Presentation_FS19/src/modules/weapons/munitions/CMakeLists.txt	(revision 12410)
+++ code/branches/Presentation_FS19/src/modules/weapons/munitions/CMakeLists.txt	(revision 12411)
@@ -9,3 +9,4 @@
   SplitMunition.cc
   MineMunition.cc
+  BallMunition.cc
 )
Index: code/branches/Presentation_FS19/src/modules/weapons/projectiles/BallProjectile.cc
===================================================================
--- code/branches/Presentation_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12411)
+++ code/branches/Presentation_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12411)
@@ -0,0 +1,266 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file ParticleProjectile.h
+    @brief Implementation of the ParticleProjectile class.
+*/
+
+#include "BallProjectile.h"
+#include "gametypes/Gametype.h"
+#include <OrxoBlox/OrxoBloxStones.h>
+
+
+#include <OgreParticleEmitter.h>
+#include "core/CoreIncludes.h"
+#include "tools/ParticleInterface.h"
+#include "Scene.h"
+#include "core/command/Executor.h"
+#include "util/Convert.h"
+#include <bullet/BulletCollision/NarrowPhaseCollision/btManifoldPoint.h>
+#include <bullet/LinearMath/btVector3.h>
+
+namespace orxonox
+{
+    RegisterClass(BallProjectile);
+
+    BallProjectile::BallProjectile(Context* context) : BillboardProjectile(context)
+    {
+        RegisterObject(BallProjectile);
+        this->textureIndex_ = 1;
+        this->setMass(0.1f);
+        this->maxTextureIndex_ = 8;
+        this->setDestroyAfterCollision(false); //I want the ball to bounce, not to be destroyed
+        this->fieldWidth_ = 46;
+        this->fieldHeight_ =  49;
+        this->orxoblox_ = this->getOrxoBlox();
+        this->setCollisionShapeRadius(2.5);
+        
+        //setEffect("Orxonox/sparks2");
+    }
+
+    void BallProjectile::registerVariables()
+    {
+        registerVariable(this->materialBase_);
+        registerVariable( this->speed_ );
+    }
+
+    /**
+    @brief
+        Set the material.
+    @param material
+        The name of the material. Material names with 1 to 8 appended must exist.
+    */
+    void BallProjectile::setMaterial(const std::string& material)
+    {
+        this->materialBase_ = material;
+
+        BillboardProjectile::setMaterial(material + multi_cast<std::string>(this->textureIndex_));
+    }
+
+    /**
+    @brief
+        Change the texture.
+    */
+    void BallProjectile::changeTexture()
+    {
+        this->textureIndex_++;
+        if (this->textureIndex_ > this->maxTextureIndex_)
+            this->textureIndex_ = 1;
+
+        this->setMaterial(this->materialBase_);
+    }
+
+
+
+    void BallProjectile::Bounce(WorldEntity* otherObject, btManifoldPoint& contactPoint, const btCollisionShape* cs) {
+
+        Vector3 velocity = this->getVelocity();
+        Vector3 myPosition = otherObject->getPosition();
+        btVector3 positionOtherObject = contactPoint.getPositionWorldOnA();
+        
+            int distance_X = positionOtherObject.getX() - myPosition.x;
+            int distance_Z = positionOtherObject.getZ() - myPosition.z;
+
+            if (distance_X < 0)
+                distance_X = -distance_X;
+    
+
+            if (distance_Z < 0)
+                distance_Z = -distance_Z;
+
+            //orxout() << distance_X << endl;
+            //orxout() << distance_Z << endl;
+
+            if (distance_X < distance_Z) {
+                velocity.z = -velocity.z;
+                //orxout() << "z" << endl;
+            }
+            if (distance_Z < distance_X) {
+                velocity.x = -velocity.x;
+                //orxout() << "x" << endl;
+            }
+            else {
+                velocity.x = -velocity.x;
+                velocity.z = -velocity.z;
+                //orxout() << "both" << endl;
+            }
+            this->setVelocity(velocity);
+        //}
+    }
+
+    
+    bool BallProjectile::processCollision(WorldEntity* otherObject, btManifoldPoint& contactPoint, const btCollisionShape* cs)
+    {
+        bool result = BasicProjectile::processCollision(otherObject, contactPoint, cs);
+        if (result == true) {
+            if (otherObject->isA(Class(OrxoBloxStones))) {
+                Bounce(otherObject, contactPoint, cs);
+                (orxonox_cast<OrxoBloxStones*>(otherObject))->gotHit();
+                
+            }
+        }
+        return result;
+    }
+
+
+    
+    OrxoBlox* BallProjectile::getOrxoBlox()
+    {
+        if (this->getGametype() != nullptr && this->getGametype()->isA(Class(OrxoBlox)))
+        {
+            OrxoBlox* orxobloxGametype = orxonox_cast<OrxoBlox*>(this->getGametype());
+            return orxobloxGametype;
+        }
+        else orxout()<<"There is no Gametype for OrxoBlox! ask Anna"<< endl;
+        return nullptr;
+    }
+    
+
+
+    void BallProjectile::tick(float dt)
+    {
+        SUPER(BallProjectile, tick, dt);
+
+               // Get the current position, velocity and acceleration of the ball.
+        bool suicidal = false;
+        Vector3 position = this->getPosition();
+        Vector3 velocity = this->getVelocity();
+        Vector3 acceleration = this->getAcceleration();
+
+        velocity.y = 0;
+        position.y = 0;
+
+        // If the ball has gone over the top or bottom boundary of the playing field (i.e. the ball has hit the top or bottom delimiters).
+        if (position.z > this->fieldHeight_ || position.z < -this->fieldHeight_)
+        {
+
+            velocity.z = -velocity.z;
+            // And its position is set as to not overstep the boundary it has just crossed. Remember z axis is reverted!!!
+            if (position.z > this->fieldHeight_){
+                // Set the ball to be exactly at the boundary.
+                position.z = this-> fieldHeight_;
+                orxoblox_->count();
+                suicidal = true;
+                
+            }
+            if (position.z < -this->fieldHeight_){
+                position.z = -this->fieldHeight_;
+                
+            }
+
+            this->fireEvent();
+        }
+        
+        //Ball hits the right or left wall and should bounce back.
+        // If the ball has crossed the left or right boundary of the playing field.
+        if (position.x > this->fieldWidth_ || position.x < -this->fieldWidth_)
+        {
+            //Ball hits the right Wall
+            if (position.x > this->fieldWidth_)
+                {
+                    // Set the ball to be exactly at the boundary.
+                    position.x = this->fieldWidth_;
+                    // Invert its velocity in x-direction (i.e. it bounces off).
+                    velocity.x = -velocity.x;
+                    this->fireEvent();
+                    }
+
+            //Ball hits the left wall
+            else if (position.x < -this->fieldWidth_)
+                {
+                        // Set the ball to be exactly at the boundary.
+                        position.x = -this->fieldWidth_;
+                        // Invert its velocity in x-direction (i.e. it bounces off).
+                        velocity.x = -velocity.x;
+                        this->fireEvent();
+                    }
+        }
+
+        // Set the position, velocity and acceleration of the ball, if they have changed.
+        if (acceleration != this->getAcceleration())
+            this->setAcceleration(acceleration);
+        if (velocity != this->getVelocity())
+            this->setVelocity(velocity);
+        if (position != this->getPosition())
+            this->setPosition(position);
+        //this->Collides((this->orxoblox_->CheckForCollision(this)));
+        if (suicidal == true) {
+            this->destroy();
+        }
+
+    }
+
+
+
+    void BallProjectile::setSpeed(float speed)
+    {
+        if (speed != this->speed_) // If the speed changes
+        {
+            this->speed_ = speed;
+
+            // Set the speed in the direction of the balls current velocity.
+            Vector3 velocity = this->getVelocity();
+            if (velocity.x != 0)
+                velocity.x = sgn(velocity.x) * this->speed_;
+            else // If the balls current velocity is zero, the speed is set in a random direction.
+                velocity.x = this->speed_ * sgn(rnd(-1,1));
+
+            this->setVelocity(velocity);
+        }
+    }
+
+    void BallProjectile::destroyObject(void)
+    {
+        if(GameMode::isMaster()) {
+        }
+    }
+
+
+
+}
Index: code/branches/Presentation_FS19/src/modules/weapons/projectiles/BallProjectile.h
===================================================================
--- code/branches/Presentation_FS19/src/modules/weapons/projectiles/BallProjectile.h	(revision 12411)
+++ code/branches/Presentation_FS19/src/modules/weapons/projectiles/BallProjectile.h	(revision 12411)
@@ -0,0 +1,44 @@
+#ifndef _BallProjectile_H__
+#define _BallProjectile_H__
+
+#include "weapons/WeaponsPrereqs.h"
+#include "weapons/projectiles/BillboardProjectile.h"
+#include "../../OrxoBlox/OrxoBlox.h"
+#include "../../OrxoBlox/OrxoBloxStones.h"
+
+#include "OrxoBlox/OrxoBloxPrereqs.h"
+
+namespace orxonox
+{
+
+    class _WeaponsExport BallProjectile : public BillboardProjectile
+    {
+        public:
+            BallProjectile(Context* context);
+            void Bounce(WorldEntity* otherObject, btManifoldPoint& contactPoint, const btCollisionShape* cs);
+            virtual void setMaterial(const std::string& material) override;
+            virtual void tick(float dt) override;
+            void setSpeed(float speed);
+
+
+        protected:
+            bool processCollision(WorldEntity* otherObject, btManifoldPoint& contactPoint, const btCollisionShape* cs) override;
+
+        private:
+            void destroyObject() override;
+            void registerVariables();
+            void changeTexture();
+            OrxoBlox* getOrxoBlox();
+            
+            float speed_; //!< The speed (in x-direction) of the ball.
+            float fieldWidth_; //!< The width of the playing field.
+            float fieldHeight_; //!< The height of the playing field.
+            unsigned int textureIndex_; //!< The current index of the texture. (i.e. the index of the currently displayed texture)
+            unsigned int maxTextureIndex_; //!< The maximal index.
+            std::string materialBase_; //!< The base name of the material.
+            OrxoBlox* orxoblox_;
+            OrxoBloxStones* stone_;
+    };
+}
+
+#endif /* _ParticleProjectile_H__ */
Index: code/branches/Presentation_FS19/src/modules/weapons/projectiles/BasicProjectile.cc
===================================================================
--- code/branches/Presentation_FS19/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 12410)
+++ code/branches/Presentation_FS19/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 12411)
@@ -172,6 +172,7 @@
     void BasicProjectile::destroyCheck(void)
     {
-        if(GameMode::isMaster() && this->bDestroy_)
+        if(GameMode::isMaster() && this->bDestroy_) {
             this->destroy();
+        }
     }
 
@@ -182,6 +183,7 @@
     void BasicProjectile::destroyObject(void)
     {
-        if(GameMode::isMaster())
+        if(GameMode::isMaster()) {
             this->destroy();
+        }
     }
 }
Index: code/branches/Presentation_FS19/src/modules/weapons/projectiles/BasicProjectile.h
===================================================================
--- code/branches/Presentation_FS19/src/modules/weapons/projectiles/BasicProjectile.h	(revision 12410)
+++ code/branches/Presentation_FS19/src/modules/weapons/projectiles/BasicProjectile.h	(revision 12411)
@@ -117,5 +117,5 @@
 
         protected:
-            bool processCollision(WorldEntity* otherObject, btManifoldPoint& contactPoint, const btCollisionShape* cs);
+            virtual bool processCollision(WorldEntity* otherObject, btManifoldPoint& contactPoint, const btCollisionShape* cs);
             void destroyCheck(void);
             inline void setDestroyAfterCollision(bool destroyAfterCollision)
Index: code/branches/Presentation_FS19/src/modules/weapons/weaponmodes/BallGun.cc
===================================================================
--- code/branches/Presentation_FS19/src/modules/weapons/weaponmodes/BallGun.cc	(revision 12411)
+++ code/branches/Presentation_FS19/src/modules/weapons/weaponmodes/BallGun.cc	(revision 12411)
@@ -0,0 +1,149 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Hagen Seifert
+ *   Co-authors:
+ *      simonmie
+ *
+ */
+
+/**
+    @file HsW01.h
+    @brief Implementation of the HsW01 class.
+*/
+
+#include "BallGun.h"
+
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "core/command/Executor.h"
+
+#include "graphics/Model.h"
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
+#include "worldentities/WorldEntity.h"
+#include "worldentities/pawns/Pawn.h"
+
+#include "weapons/projectiles/Projectile.h"
+#include "weapons/MuzzleFlash.h"
+#include "weapons/projectiles/BallProjectile.h"
+
+namespace orxonox
+{
+    RegisterClass(BallGun);
+
+    BallGun::BallGun(Context* context) : WeaponMode(context)
+    {
+        RegisterObject(BallGun);
+
+        this->reloadTime_ = 0.25f;
+        this->damage_ = 10000; //default 15
+        this->speed_ = 100;
+        this->delay_ = 100;
+        this->setMunitionName("BallMunition");
+        this->mesh_ = "laserbeam.mesh";
+
+
+        this->delayTimer_.setTimer(this->delay_, false, createExecutor(createFunctor(&BallGun::shot, this)));
+        this->delayTimer_.stopTimer();
+
+        this->setFireSound("sounds/Weapon_HsW01.ogg");
+        this->setReloadSound("sounds/Reload_HsW01.ogg", 0.5);
+
+        hudImageString_ = "Orxonox/WSHUD_WM_HsW01";
+    }
+
+    BallGun::~BallGun()
+    {
+    }
+
+    void BallGun::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(BallGun, XMLPort, xmlelement, mode);
+
+        XMLPortParam(BallGun, "delay", setDelay, getDelay, xmlelement, mode);
+        XMLPortParam(BallGun, "material", setMaterial, getMaterial, xmlelement, mode);
+        XMLPortParam(BallGun, "projectileMesh", setMesh, getMesh, xmlelement, mode);
+        XMLPortParam(BallGun, "sound", setSound, getSound, xmlelement, mode);
+    }
+
+    /**
+    @brief
+        Set the firing delay.
+    @param delay
+        The firing delay in seconds.
+    */
+    void BallGun::setDelay(float delay)
+    {
+        orxout() << "delay" << endl;
+        this->delay_ = delay;
+        this->delayTimer_.setInterval(this->delay_);
+    }
+
+    void BallGun::fire()
+    {
+        this->delayTimer_.startTimer();
+    }
+
+    /**
+    @brief
+        Fires the weapon. Creates a projectile and fires it.
+    */
+    void BallGun::shot()
+    {
+        assert( this->getWeapon() && this->getWeapon()->getWeaponPack() && this->getWeapon()->getWeaponPack()->getWeaponSystem() && this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn() );
+        // Create the projectile.
+        Projectile* projectile = new BallProjectile(this->getContext());
+        Model* model = new Model(projectile->getContext());
+        model->setMeshSource(mesh_);
+        model->setCastShadows(false);
+        projectile->attach(model);
+        model->setScale(5);
+
+        this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
+        projectile->setOrientation(this->getMuzzleOrientation());
+        projectile->setPosition(this->getMuzzlePosition());
+        projectile->setVelocity(this->getMuzzleDirection() * this->speed_);
+
+        projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        projectile->setDamage(this->getDamage());
+        projectile->setShieldDamage(this->getShieldDamage());
+        projectile->setHealthDamage(this->getHealthDamage());
+
+        // Display the muzzle flash.
+        this->BallGun::muzzleflash();
+    }
+
+    /**
+    @brief
+        Displays the muzzle flash.
+    */
+    void BallGun::muzzleflash()
+    {
+        MuzzleFlash *muzzleFlash = new MuzzleFlash(this->getContext());
+        this->getWeapon()->attach(muzzleFlash);
+        muzzleFlash->setPosition(this->getMuzzleOffset());
+        muzzleFlash->setMaterial(this->material_);
+    }
+}
Index: code/branches/Presentation_FS19/src/modules/weapons/weaponmodes/BallGun.h
===================================================================
--- code/branches/Presentation_FS19/src/modules/weapons/weaponmodes/BallGun.h	(revision 12411)
+++ code/branches/Presentation_FS19/src/modules/weapons/weaponmodes/BallGun.h	(revision 12411)
@@ -0,0 +1,126 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Hagen Seifert
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file HsW01.h
+    @brief Definition of the HsW01 class.
+*/
+
+#ifndef _BallGun_H__
+#define _BallGun_H__
+
+#include "weapons/WeaponsPrereqs.h"
+
+#include "tools/Timer.h"
+#include "weaponsystem/WeaponMode.h"
+
+namespace orxonox
+{
+
+    /**
+    @brief
+        Shoots laser beams.
+    @author
+        Hagen Seifert
+    @ingroup WeaponsWeaponModes
+    */
+    class _WeaponsExport BallGun : public WeaponMode
+    {
+        public:
+            BallGun(Context* context);
+            virtual ~BallGun();
+
+            virtual void fire() override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+
+        protected:
+            /**
+            @brief Set the mesh.
+            @param mesh The mesh name.
+            */
+            void setMesh(const std::string& mesh)
+                { this->mesh_ = mesh; }
+
+            /**
+            @brief Get the mesh.
+            @return Returns the mesh name.
+            */
+            const std::string& getMesh() const
+                { return this->mesh_; }
+
+            /**
+            @brief Set the sound.
+            @param sound The Sound name.
+            */
+            void setSound(const std::string& sound)
+                { this->sound_ = sound; }
+
+            /**
+            @brief Get the sound.
+            @return Returns the sound name.
+            */
+            const std::string& getSound() const
+                { return this->sound_; }
+
+            /**
+            @brief Set the material.
+            @param material The material name.
+            */
+            void setMaterial(const std::string& material)
+                { this->material_ = material; }
+            /**
+            @brief Get the material.
+            @return Returns the material name.
+            */
+            const std::string& getMaterial() const
+                { return this->material_; }
+
+            void setDelay(float delay);
+            /**
+            @brief Get the firing delay.
+            @return Returns the firing delay in seconds.
+            */
+            float getDelay() const
+                { return this->delay_; }
+
+            virtual void shot();
+            void muzzleflash();
+
+            std::string material_; //!< The material.
+            std::string mesh_; //!< The mesh.
+            std::string sound_; //!< The sound.
+
+
+
+            float speed_; //!< The speed of the fired projectile.
+            float delay_; //!< The firing delay.
+            Timer delayTimer_; //!< A timer to delay the firing.
+    };
+}
+
+#endif /* _HsW01_H__ */